| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
AuditorSvc Class Reference

`#include <src/AuditorSvc.h>`

Inheritance diagram for AuditorSvc:
[legend]
Collaboration diagram for AuditorSvc:
[legend]

## Public Member Functions
StatusCode | initialize () override
StatusCode | finalize () override
void | before (StandardEventType, INamedInterface *) override
| The following methods are meant to be implemented by the child class... More...
void | before (StandardEventType, const std::string &) override
void | before (CustomEventTypeRef, INamedInterface *) override
void | before (CustomEventTypeRef, const std::string &) override
void | after (StandardEventType, INamedInterface *, const StatusCode &) override
void | after (StandardEventType, const std::string &, const StatusCode &) override
void | after (CustomEventTypeRef, INamedInterface *, const StatusCode &) override
void | after (CustomEventTypeRef, const std::string &, const StatusCode &) override
void | beforeInitialize (INamedInterface *ini) override
void | afterInitialize (INamedInterface *ini) override
void | beforeReinitialize (INamedInterface *ini) override
void | afterReinitialize (INamedInterface *ini) override
void | beforeExecute (INamedInterface *ini) override
void | afterExecute (INamedInterface *ini, const StatusCode &) override
void | beforeBeginRun (INamedInterface *ini) override
void | afterBeginRun (INamedInterface *ini) override
void | beforeEndRun (INamedInterface *ini) override
void | afterEndRun (INamedInterface *ini) override
void | beforeFinalize (INamedInterface *ini) override
void | afterFinalize (INamedInterface *ini) override
bool | isEnabled () const override
StatusCode | sysInitialize () override
StatusCode | sysFinalize () override
IAuditor * | getAuditor (const std::string &name) override
Public Member Functions inherited from extends< Service, IAuditorSvc >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, std::string toolTypeAndName, bool createIf=true)
| Declare used tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Public Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
MSG::Level | msgLevel () const
| get the cached level (originally extracted from the embedded MsgStream) More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const
| Backward compatibility function for getting the output level. More...
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
const SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...

## Private Member Functions
SmartIF< IAuditor > | newAuditor_ (MsgStream &, const std::string &)
SmartIF< IAuditor > | findAuditor_ (const std::string &)
StatusCode | syncAuditors_ ()

## Private Attributes
Gaudi::Property< std::vector< std::string > > | m_audNameList {this, "Auditors", {}, "list of auditors names"}
Gaudi::Property< bool > | m_isEnabled {this, "Enable", true, "enable/disable alltogether the auditors"}
std::vector< SmartIF< IAuditor > > | m_pAudList

## Additional Inherited Members
Public Types inherited from extends< Service, IAuditorSvc >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
using | Factory = Gaudi::PluginService::Factory< IService *(const std::string &, ISvcLocator *)>
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
MSG::Level | setUpMessaging () const
| Set up local caches. More...
MSG::Level | resetMessaging ()
| Reinitialize internal states. More...
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, " unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Detailed Description

Definition at line 18 of file AuditorSvc.h.

## Member Function Documentation

## ◆ after() [1/4]

void AuditorSvc::after | ( | StandardEventType | evt,
|  | INamedInterface * | obj,
|  | const StatusCode & | sc
| ) |  |
| override

Definition at line 132 of file AuditorSvc.cpp.

132 {
133 if ( !isEnabled() ) return;
134 for ( auto& it : m_pAudList ) {
135 if ( it->isEnabled() ) it->after( evt, obj, sc );
136 }
137 }
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
AuditorSvc::isEnabled
bool isEnabled() const override
Definition: AuditorSvc.cpp:188
IOTest.evt
evt
Definition: IOTest.py:94

## ◆ after() [2/4]

void AuditorSvc::after | ( | StandardEventType | evt,
|  | const std::string & | name,
|  | const StatusCode & | sc
| ) |  |
| override

Definition at line 139 of file AuditorSvc.cpp.

139 {
140 if ( !isEnabled() ) return;
141 for ( auto& it : m_pAudList ) {
142 if ( it->isEnabled() ) it->after( evt, name, sc );
143 }
144 }
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
AuditorSvc::isEnabled
bool isEnabled() const override
Definition: AuditorSvc.cpp:188
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:274
IOTest.evt
evt
Definition: IOTest.py:94

## ◆ after() [3/4]

void AuditorSvc::after | ( | CustomEventTypeRef | evt,
|  | INamedInterface * | obj,
|  | const StatusCode & | sc
| ) |  |
| override

Definition at line 146 of file AuditorSvc.cpp.

146 {
147 if ( !isEnabled() ) return;
148 for ( auto& it : m_pAudList ) {
149 if ( it->isEnabled() ) it->after( evt, obj, sc );
150 }
151 }
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
AuditorSvc::isEnabled
bool isEnabled() const override
Definition: AuditorSvc.cpp:188
IOTest.evt
evt
Definition: IOTest.py:94

## ◆ after() [4/4]

void AuditorSvc::after | ( | CustomEventTypeRef | evt,
|  | const std::string & | name,
|  | const StatusCode & | sc
| ) |  |
| override

Definition at line 153 of file AuditorSvc.cpp.

153 {
154 if ( !isEnabled() ) return;
155 for ( auto& it : m_pAudList ) {
156 if ( it->isEnabled() ) it->after( evt, name, sc );
157 }
158 }
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
AuditorSvc::isEnabled
bool isEnabled() const override
Definition: AuditorSvc.cpp:188
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:274
IOTest.evt
evt
Definition: IOTest.py:94

## ◆ afterBeginRun()

void AuditorSvc::afterBeginRun | ( | INamedInterface * | ini | ) |
| override

## ◆ afterEndRun()

void AuditorSvc::afterEndRun | ( | INamedInterface * | ini | ) |
| override

## ◆ afterExecute()

void AuditorSvc::afterExecute | ( | INamedInterface * | ini,
|  | const StatusCode & |
| ) |  |
| override

Definition at line 174 of file AuditorSvc.cpp.

174 {
175 throw GaudiException( "The method afterExecute is obsolete do not call it.", "AuditorSvc::afterExecute",
176 StatusCode::FAILURE );
177 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:21
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86

## ◆ afterFinalize()

void AuditorSvc::afterFinalize | ( | INamedInterface * | ini | ) |
| override

## ◆ afterInitialize()

void AuditorSvc::afterInitialize | ( | INamedInterface * | ini | ) |
| override

## ◆ afterReinitialize()

void AuditorSvc::afterReinitialize | ( | INamedInterface * | ini | ) |
| override

## ◆ before() [1/4]

void AuditorSvc::before | ( | StandardEventType | evt,
|  | INamedInterface * | obj
| ) |  |
| override

The following methods are meant to be implemented by the child class...

Definition at line 103 of file AuditorSvc.cpp.

103 {
104 if ( !isEnabled() ) return;
105 for ( auto& it : m_pAudList ) {
106 if ( it->isEnabled() ) it->before( evt, obj );
107 }
108 }
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
AuditorSvc::isEnabled
bool isEnabled() const override
Definition: AuditorSvc.cpp:188
IOTest.evt
evt
Definition: IOTest.py:94

## ◆ before() [2/4]

void AuditorSvc::before | ( | StandardEventType | evt,
|  | const std::string & | name
| ) |  |
| override

Definition at line 110 of file AuditorSvc.cpp.

110 {
111 if ( !isEnabled() ) return;
112 for ( auto& it : m_pAudList ) {
113 if ( it->isEnabled() ) it->before( evt, name );
114 }
115 }
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
AuditorSvc::isEnabled
bool isEnabled() const override
Definition: AuditorSvc.cpp:188
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:274
IOTest.evt
evt
Definition: IOTest.py:94

## ◆ before() [3/4]

void AuditorSvc::before | ( | CustomEventTypeRef | evt,
|  | INamedInterface * | obj
| ) |  |
| override

Definition at line 117 of file AuditorSvc.cpp.

117 {
118 if ( !isEnabled() ) return;
119 for ( auto& it : m_pAudList ) {
120 if ( it->isEnabled() ) it->before( evt, obj );
121 }
122 }
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
AuditorSvc::isEnabled
bool isEnabled() const override
Definition: AuditorSvc.cpp:188
IOTest.evt
evt
Definition: IOTest.py:94

## ◆ before() [4/4]

void AuditorSvc::before | ( | CustomEventTypeRef | evt,
|  | const std::string & | name
| ) |  |
| override

Definition at line 124 of file AuditorSvc.cpp.

124 {
125 if ( !isEnabled() ) return;
126 for ( auto& it : m_pAudList ) {
127 if ( it->isEnabled() ) it->before( evt, name );
128 }
129 }
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
AuditorSvc::isEnabled
bool isEnabled() const override
Definition: AuditorSvc.cpp:188
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:274
IOTest.evt
evt
Definition: IOTest.py:94

## ◆ beforeBeginRun()

void AuditorSvc::beforeBeginRun | ( | INamedInterface * | ini | ) |
| override

## ◆ beforeEndRun()

void AuditorSvc::beforeEndRun | ( | INamedInterface * | ini | ) |
| override

## ◆ beforeExecute()

void AuditorSvc::beforeExecute | ( | INamedInterface * | ini | ) |
| override

## ◆ beforeFinalize()

void AuditorSvc::beforeFinalize | ( | INamedInterface * | ini | ) |
| override

## ◆ beforeInitialize()

void AuditorSvc::beforeInitialize | ( | INamedInterface * | ini | ) |
| override

## ◆ beforeReinitialize()

void AuditorSvc::beforeReinitialize | ( | INamedInterface * | ini | ) |
| override

## ◆ finalize()

StatusCode AuditorSvc::finalize | ( |  | ) |
| override

Definition at line 91 of file AuditorSvc.cpp.

91 {
92
93 for ( auto& it : m_pAudList ) {
94 if ( it->isEnabled() ) it->sysFinalize().ignore();
95 }
96 m_pAudList.clear();
97
98 // Finalize this specific service
99 return Service::finalize();
100 }
Service::finalize
StatusCode finalize() override
Definition: Service.cpp:164
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
std::vector::clear
T clear(T... args)

## ◆ findAuditor_()

SmartIF< IAuditor > AuditorSvc::findAuditor_ | ( | const std::string & | name | ) |
| private

Definition at line 41 of file AuditorSvc.cpp.

41 {
42 // find an auditor by name, return 0 on error
43 const std::string item_name = Gaudi::Utils::TypeNameString( name ).name();
44 auto it = std::find_if( std::begin( m_pAudList ), std::end( m_pAudList ),
45 [&]( const IAuditor* i ) { return i->name() == item_name; } );
46 return SmartIF<IAuditor>{it != std::end( m_pAudList ) ? *it : nullptr};
47 }
SmartIF< IAuditor >
std::end
T end(T... args)
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
INamedInterface::name
virtual const std::string & name() const =0
Retrieve the name of the instance.
std::string
STL class.
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:274
Gaudi::Utils::TypeNameString
Helper class to parse a string of format "type/name".
Definition: TypeNameString.h:10
Gaudi::Utils::TypeNameString::name
const std::string & name() const
Definition: TypeNameString.h:37
std::find_if
T find_if(T... args)
std::begin
T begin(T... args)
IAuditor
The IAuditor is the interface implmented by the AlgAuditor base class.
Definition: IAuditor.h:18

## ◆ getAuditor()

IAuditor * AuditorSvc::getAuditor | ( | const std::string & | name | ) |
| override

Definition at line 193 of file AuditorSvc.cpp.

193 {
194 // by interactively setting properties, auditors might be out of sync
195 if ( !syncAuditors_().isSuccess() ) {
196 // as we didn't manage to sync auditors, the safest bet is to assume the
197 // worse...
198 // So don't let clients play with an AuditorSvc in an inconsistent state
199 return nullptr;
200 }
201
202 // search available auditors, returns 0 on error
203 return findAuditor_( name );
204 }
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:274
AuditorSvc::findAuditor_
SmartIF< IAuditor > findAuditor_(const std::string &)
Definition: AuditorSvc.cpp:41
AuditorSvc::syncAuditors_
StatusCode syncAuditors_()
Definition: AuditorSvc.cpp:49

## ◆ initialize()

StatusCode AuditorSvc::initialize | ( |  | ) |
| override

Definition at line 80 of file AuditorSvc.cpp.

80 {
81 StatusCode sc = Service::initialize();
82 if ( sc.isFailure() ) return sc;
83
84 // create auditor objects for all named auditors
85 sc = syncAuditors_();
86
87 return sc;
88 }
Service::initialize
StatusCode initialize() override
Definition: Service.cpp:60
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:50
StatusCode::isFailure
bool isFailure() const
Definition: StatusCode.h:130
AuditorSvc::syncAuditors_
StatusCode syncAuditors_()
Definition: AuditorSvc.cpp:49

## ◆ isEnabled()

bool AuditorSvc::isEnabled | ( |  | ) | const
| override

Definition at line 188 of file AuditorSvc.cpp.

188 { return m_isEnabled; }
AuditorSvc::m_isEnabled
Gaudi::Property< bool > m_isEnabled
Definition: AuditorSvc.h:91

## ◆ newAuditor_()

SmartIF< IAuditor > AuditorSvc::newAuditor_ | ( | MsgStream & | log,
|  | const std::string & | name
| ) |  |
| private

Definition at line 22 of file AuditorSvc.cpp.

22 {
23 // locate the auditor factory, instantiate a new auditor, initialize it
24 StatusCode sc;
25 Gaudi::Utils::TypeNameString item( name );
26 SmartIF<IAuditor> aud{Auditor::Factory::create( item.type(), item.name(), serviceLocator().get() ).release()};
27 if ( aud ) {
28 if ( m_targetState >= Gaudi::StateMachine::INITIALIZED ) {
29 sc = aud->sysInitialize();
30 if ( sc.isFailure() ) {
31 log << MSG::WARNING << "Failed to initialize Auditor " << name << endmsg;
32 aud.reset();
33 }
34 }
35 } else {
36 log << MSG::WARNING << "Unable to retrieve factory for Auditor " << name << endmsg;
37 }
38 return aud;
39 }
Service::m_targetState
Gaudi::StateMachine::State m_targetState
Service state.
Definition: Service.h:155
Gaudi::StateMachine::INITIALIZED
Definition: StateMachine.h:15
SmartIF< IAuditor >
Service::serviceLocator
SmartIF< ISvcLocator > & serviceLocator() const override
Retrieve pointer to service locator.
Definition: Service.cpp:277
SmartIF::get
TYPE * get() const
Get interface pointer.
Definition: SmartIF.h:76
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:274
Gaudi::Utils::TypeNameString
Helper class to parse a string of format "type/name".
Definition: TypeNameString.h:10
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:50
MSG::WARNING
Definition: IMessageSvc.h:15
StatusCode::isFailure
bool isFailure() const
Definition: StatusCode.h:130
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192
Gaudi.Configuration.log
log
Definition: Configuration.py:13

## ◆ syncAuditors_()

StatusCode AuditorSvc::syncAuditors_ | ( |  | ) |
| private

Definition at line 49 of file AuditorSvc.cpp.

49 {
50 if ( m_audNameList.size() == m_pAudList.size() ) return StatusCode::SUCCESS;
51
52 StatusCode sc;
53
54 // if ( sc.isFailure() ) {
55 // error() << "Unable to locate ObjectManager Service" << endmsg;
56 // return sc;
57 // }
58
59 // create all declared Auditors that do not yet exist
60 for ( auto& it : m_audNameList ) {
61
62 // this is clumsy, but the PropertyHolder won't tell us when my property changes right
63 // under my nose, so I'll have to figure this out the hard way
64 if ( !findAuditor_( it ) ) { // if auditor does not yet exist
65 auto aud = newAuditor_( msgStream(), it );
66 if ( aud ) {
67 m_pAudList.push_back( std::move( aud ) );
68 } else {
69 error() << "Error constructing Auditor " << it << endmsg;
70 sc = StatusCode::FAILURE;
71 }
72 }
73 }
74 return sc;
75 }
StatusCode::SUCCESS
constexpr static const auto SUCCESS
Definition: StatusCode.h:85
AuditorSvc::m_pAudList
std::vector< SmartIF< IAuditor > > m_pAudList
Definition: AuditorSvc.h:94
std::vector::push_back
T push_back(T... args)
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:98
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:50
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71
std::move
T move(T... args)
AuditorSvc::findAuditor_
SmartIF< IAuditor > findAuditor_(const std::string &)
Definition: AuditorSvc.cpp:41
std::vector::size
T size(T... args)
StatusCode::FAILURE
constexpr static const auto FAILURE
Definition: StatusCode.h:86
AuditorSvc::newAuditor_
SmartIF< IAuditor > newAuditor_(MsgStream &, const std::string &)
Definition: AuditorSvc.cpp:22
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192
AuditorSvc::m_audNameList
Gaudi::Property< std::vector< std::string > > m_audNameList
Definition: AuditorSvc.h:90

## ◆ sysFinalize()

StatusCode AuditorSvc::sysFinalize | ( |  | ) |
| override

Definition at line 191 of file AuditorSvc.cpp.

191 { return Service::sysFinalize(); }
Service::sysFinalize
StatusCode sysFinalize() override
Finalize Service.
Definition: Service.cpp:135

## ◆ sysInitialize()

StatusCode AuditorSvc::sysInitialize | ( |  | ) |
| override

Definition at line 190 of file AuditorSvc.cpp.

190 { return Service::sysInitialize(); }
Service::sysInitialize
StatusCode sysInitialize() override
Initialize Service.
Definition: Service.cpp:24

## Member Data Documentation

## ◆ m_audNameList

Gaudi::Property<std::vector<std::string> > AuditorSvc::m_audNameList {this, "Auditors", {}, "list of auditors names"}
| private

Definition at line 90 of file AuditorSvc.h.

## ◆ m_isEnabled

Gaudi::Property<bool> AuditorSvc::m_isEnabled {this, "Enable", true, "enable/disable alltogether the auditors"}
| private

Definition at line 91 of file AuditorSvc.h.

## ◆ m_pAudList

std::vector<SmartIF<IAuditor> > AuditorSvc::m_pAudList
| private

Definition at line 94 of file AuditorSvc.h.

The documentation for this class was generated from the following files:

- GaudiCommonSvc/src/AuditorSvc.h
- GaudiCommonSvc/src/AuditorSvc.cpp